@import "tailwindcss";
@plugin "daisyui" {
    themes: dark --default;
}

@source '../../node_modules/react-tailwindcss-datepicker/dist/index.esm.js';
/*
TODO://Remove it then react-tailwind-datepicker will support Tailwind 4
 */
@layer utilities {
    .opacity-1 {
        /* https://github.com/onesine/react-tailwindcss-datepicker/pull/307 */
        @apply opacity-100;
    }
}

/*
  The default border color has changed to `currentColor` in Tailwind CSS v4,
  so we've added these compatibility styles to make sure everything still
  looks the same as it did with Tailwind CSS v3.

  If we ever want to remove these styles, we need to add an explicit border
  color utility to any element that depends on these defaults.
*/
@layer base {
  *,
  ::after,
  ::before,
  ::backdrop,
  ::file-selector-button {
    border-color: var(--color-gray-200, currentColor);
  }
}

@layer base {
    .prose h1 {
    }

    a {
        @apply link link-hover;
    }

    .content {
        @apply grid w-full relative;
        grid-auto-columns: max-content auto;
    }

    .left-column {
        @apply items-start grid col-start-1 row-start-1 grid-cols-1 grid-rows-1 h-lvh overscroll-contain;
        @apply start-0 justify-items-start overflow-auto pointer-events-none fixed top-0 w-full;
        @apply lg:block lg:sticky lg:w-auto lg:overscroll-auto lg:pointer-events-auto lg:visible;
        @apply z-30;
    }

    .loading-logo svg g {
        animation: flow-animation 1500ms linear infinite normal forwards;
    }

    .loading-logo svg g path {
        @apply fill-base-content;
    }

    @keyframes flow-animation {
        0% {
            opacity: 1;
        }
        50% {
            opacity: 0.1;
        }
        100% {
            opacity: 1;
        }
    }
}
